| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Digikam::VersionManager Class Reference

## Public Types
enum | FileNameType { CurrentVersionName , NewVersionName }

## Public Member Functions
VersionNamingScheme * | namingScheme () const
VersionFileOperation | operation (FileNameType request, const VersionFileInfo &loadedFile, const DImageHistory &initialResolvedHistory, const DImageHistory &currentHistory)
VersionFileOperation | operationNewVersionAs (const VersionFileInfo &loadedFile, const VersionFileInfo &saveLocation, const DImageHistory &initialResolvedHistory, const DImageHistory &currentHistory)
VersionFileOperation | operationNewVersionInFormat (const VersionFileInfo &loadedFile, const QString &format, const DImageHistory &initialResolvedHistory, const DImageHistory &currentHistory)
void | setNamingScheme (VersionNamingScheme *scheme)
void | setSettings (const VersionManagerSettings &settings)
VersionManagerSettings | settings () const
virtual QString | toplevelDirectory (const QString &path)
virtual QStringList | workspaceFileFormats () const